﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using Syncfusion.Windows.Tools.Controls;
using Syncfusion.Windows.Reports.Designer;
using Syncfusion.Windows.Shared;

namespace Report_Designer_Utility_2008
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : RibbonWindow
    {
        private string titlePrefix = "Syncfusion Essential Report Designer";

        public MainWindow()
        {
            //SkinStorage.SetEnableOptimization(this, true);
            InitializeComponent();
            this.Closing += new System.ComponentModel.CancelEventHandler(MainWindow_Closing);
            this.Loaded += MainWindow_Loaded;
            SkinStorage.SetVisualStyle(this, "Office2013");
        }

        void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {
            this.ReportDesignerControl.AllReportsClosed += new AllReportsClosedEventHandler(ReportDesignerControl_AllReportsClosed);
        }

        void ReportDesignerControl_AllReportsClosed(object sender, AllReportsClosedEventArgs e)
        {
            this.Close();
        }

        void MainWindow_Closing(object sender, System.ComponentModel.CancelEventArgs e)
        {
            bool IsCanClose = this.ReportDesignerControl.PreCloseApplication();

            if (IsCanClose == false)
            {
                e.Cancel = true;
            } 
        }

        private void ReportDesignerControl_ReportOpened(object sender, ReportChangedEventArgs e)
        {
            this.Title = e.ReportName.Replace(".rdl", "") + " - " + titlePrefix;
        }

        private void ReportDesignerControl_ReportSaved(object sender, ReportChangedEventArgs e)
        {
            this.Title = e.ReportName.Replace(".rdl", "") + " - " + titlePrefix;
        }

        private void ReportDesignerControl_NewReportOpened(object sender, ReportChangedEventArgs e)
        {
            this.Title = e.ReportName.Replace(".rdl", "") + " - " + titlePrefix;
        }
    }
}
